cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade from ERP 5.0 to ERP 6.0 SR3

Former Member
0 Kudos

Hi,

i got problem, and i can't find any solution in sdn or other internet sources. I downloaded all the DVD's for the upgrade, and when i start from MASTER UPGRADE DVD, command: STARTUP jce_policy_zip=jce_policy_zip=<path to JCE policy archive>

system gives me a message:

  • Checking if C++ runtime is installed ...

  • Running MIDBOOT to unpack and startup...

/usr/lib/pa20_64/dld.sl: Unable to find library 'ibnsl.1'.

Killed

I asked OS and Database administrators, should HP-UX system have any libraries that starts not from L character, they told me that there is an error in UPGRADE MASTER DVD

i tried find the solution in SAP notes or just google, but there is nothing for this problem. Can anyone help me please?

OS: HP-UX PARISC

Version: 11.11

Database: Oracle 10.2.0.4

Accepted Solutions (0)

Answers (14)

Answers (14)

Former Member
0 Kudos

HI Alfred,

I also run into this issue. I also downloaded the Upgrade Master DVD again, but it did not resolve the issue (Still errors loading ibraries :).

Again I copied the Upgrade Master DVD to the server, but this time I left the name of the DVD as it is (51036470). Now it runs without problems. It looks like STARTUP can't coupe with the name change of the Upgrade Master DVD.

Arjan

Former Member
0 Kudos

Hi All,

i can't pass the step Initialization in PREPARE, here is the result of CHECKS.LOG:

#=======================================================================

  1. Starting new execution of PREPARE modules

  2. Initialization

  3. at 20100217115713.

#=======================================================================

#====================================================#

  1. Requests and information for module Initialization #

#====================================================#

INFO: The version check of the R3trans in your active SAP kernel

determined that it has a sufficient level.

No update of R3trans is necessary.

INFO: The version check of the disp+work in your active SAP kernel

determined that it has a sufficient level.

No update of disp+work is necessary.

INFO: The version check of the tp in your active SAP kernel

determined that it has a sufficient level.

No update of tp is necessary.

WARNING: The version 2006_1_640 of the Add-on PI_BASIS is too high for this upgrade (> 2005_1_700).

To avoid loss of data it is necessary to include the latest available version for the Add-on

in the IS_SELECT phase.

Please refer to Add-on note 555060 for further information.

WARNING: The version 2008_1_640 of the Add-on ST-PI is too high for this upgrade (> 2005_1_700).

To avoid loss of data it is necessary to include the latest available version for the Add-on

in the IS_SELECT phase.

Please refer to Add-on note 69455 for further information.

INFO: The upgrade strategy for the addon C-CEE

is described in note: 520991

INFO: The upgrade strategy for the addon DMIS

is described in note: 1000578

INFO: The upgrade strategy for the addon HR-CEE

is described in note: 572252

INFO: The upgrade strategy for the addon HR-CEECBG

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECCO

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECCZ

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECHR

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECHU

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECPL

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECRO

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECRU

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECSI

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECSK

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECTR

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEECUA

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEEGXX

is described in note: 632429

INFO: The upgrade strategy for the addon HR-CEERXX

is described in note: 632429

INFO: The upgrade strategy for the addon NMI_CONT

is described in note: 632429

INFO: The upgrade strategy for the addon PI

is described in note: 700779

INFO: The upgrade strategy for the addon PI_BASIS

is described in note: 555060

INFO: The upgrade strategy for the addon SAP_BW

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCAR

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCAT

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCAU

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCBE

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCBR

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCCA

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCCH

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCCN

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCDE

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCDK

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCES

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCFI

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCFR

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCGB

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCHK

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCID

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCIE

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCIN

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCIT

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCJP

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCKR

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCMX

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCMY

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCNL

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCNO

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCNZ

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCPH

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCPT

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCSE

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCSG

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCTH

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCTW

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCUS

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCVE

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRCZA

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRGXX

is described in note: 632429

INFO: The upgrade strategy for the addon SAP_HRRXX

is described in note: 632429

INFO: The upgrade strategy for the addon ST-A/PI

is described in note: 69455

INFO: The upgrade strategy for the addon ST-PI

is described in note: 539977

INFO: You have installed the add-on CEEFISI in your system

INFO: Please read note 574102 and 584396 carefully before continuing

INFO: You have installed the add-on C-CEE in your system

INFO: Please read note 574102 and 584396 carefully before continuing

INFO: You have installed the add-on CEEFIHR in your system

INFO: Please read note 574102 and 585119 carefully before continuing

INFO: You have installed the add-on C-CEE in your system

INFO: Please read note 574102 and 585119 carefully before continuing

INFO: You have installed the add-on C-CEE in your system

INFO: Please read note 574102 and 585195 carefully before continuing

INFO: You have installed the add-on CEEFIRO in your system

INFO: Please read note 585804 and 574102 carefully before continuing

INFO: You have installed the add-on C-CEE in your system

INFO: Please read note 585804 and 574102 carefully before continuing

#===========================================================#

  1. PREPARE module Initialization finished with status failed #

#===========================================================#

#====================================================

  1. Execution of all selected PREPARE modules finished.

#====================================================

==================================================================================================

i readed all the notes, and all required addons are installed, what can i do to pass normally step Initialization in PREPARE?

Former Member
0 Kudos

i passed step now, just updated version of SAPup

Former Member
0 Kudos

Hi Markus,

here is the result:

saparh:arhadm> ./STARTUP jce_policy_zip=/UPG/90000125.ZIP

  • Checking if C++ runtime is installed ...

  • Running MIDBOOT to unpack and startup...

/usr/lib/pa20_64/dld.sl: Unable to find library 'ibnsl.1'.

Killed

saparh:arhadm>

At the momemnt, i download old version of UPGRADE, from ERP 5.0 to ERP 6.0 not to ERP 6.0 EHP 4

alfred_forreth2
Explorer
0 Kudos

Hello to ALL,

I just got the same error message!

hpsap2:tstadm 30> ./STARTUP

  • Checking if C++ runtime is installed ...

  • Running MIDBOOT to unpack and startup...

/usr/lib/hpux64/dld.so: Unable to find library 'ibnsl.so.1'.

Killed

hpsap2:tstadm 31> ls -al /usr/lib/hpux64/dld.so

-r-xr-xr-x 1 bin bin 1091136 Jan 6 2009 /usr/lib/hpux64/dld.so

hpsap2:tstadm 32> chatr /usr/lib/hpux64/dld.so

/usr/lib/hpux64/dld.so:

64-bit ELF executable

shared library dynamic path search:

LD_LIBRARY_PATH enabled first

SHLIB_PATH enabled second

embedded path enabled third /usr/lib/hpux64:/opt/langtools/l ib/hpux64

shared library binding:

deferred

global hash table disabled

shared library mapped private disabled

runtime checks disabled

ABEY: did you got a solution from SAP?

thx

Alfred

Former Member
0 Kudos

cd /UPG/51036889

STARTUP jce_policy_zip=/UPG/90000125.ZIP

90000125.ZIP - is the jce policy file

as described in Upgrade Guide:

Procedure

1. Mount the Upgrade Master DVD.

For the necessary commands, see the operating system-specific sections in the document Installation Guide u2013 <SAP NetWeaver / SAP application> <Technology> on <Operating System>: <Database>.

2. Log on to the host on which the central instance is running as user <sapsid>adm.

3. Enter the following command:/<DVD mount directory>/STARTUP jce_policy_zip=<path to JCE policy archive>

markus_doehr2
Active Contributor
0 Kudos

> STARTUP jce_policy_zip=/UPG/90000125.ZIP

Try

./STARTUP

so you make sure you execute the correct startup program. Usually the current directory is not in the PATH.

Markus

Former Member
0 Kudos

Hi Markus,

i created with Medium, because system is not productive.

Ok, anyway i have no choise i have to just wait Support

markus_doehr2
Active Contributor
0 Kudos

> i created with Medium, because system is not productive.

Ok

What's the exact full command line you start the upgrade tool?

Markus

Former Member
0 Kudos

Hi Markus,

i created OSS message to the Support, has passed 4 hour, and still there is no answer

Status - Sent to SAP

markus_doehr2
Active Contributor
0 Kudos

> i created OSS message to the Support, has passed 4 hour, and still there is no answer

What priority did you choose? If it's not "very high" (which is only for production down) it may take a day.

Markus

Former Member
0 Kudos

Please, anyone help me

markus_doehr2
Active Contributor
0 Kudos

Abay,

this is a public forum, the correct place to handle this issue is the support. Since we have no system access it's impossible to proceed from here.

Markus

Former Member
0 Kudos

UPGRADE DVD finished copy to the local directory of IA64 HP-UX, after that i tryed to start UPGRADE PROGRAM:

and result is:

  • Checking if C++ runtime is installed ...

  • Running MIDBOOT to unpack and startup...

/usr/lib/hpux64/dld.so: Unable to find library 'ibnsl.so.1'.

Killed

again there is no first " l " character

Former Member
0 Kudos

Hi Markus,

in the directory /usr/lib/pa20_64/ there is file libnsl* and all files start from " l " character, but the problem is: Unable to find library 'ibnsl.1'

for the test i copied libnsl.1 to ibnsl.1 and it asks for other files which without l as first character. So i think that is not normal, after copying all required files Upgrade program tells me that there is an error. Also i created OSS message today, support didn't answer me.

know i deleted all copied files - because that is not normal!

markus_doehr2
Active Contributor
0 Kudos

> in the directory /usr/lib/pa20_64/ there is file libnsl* and all files start from " l " character, but the problem is: Unable to find library 'ibnsl.1'

I see.

> for the test i copied libnsl.1 to ibnsl.1 and it asks for other files which without l as first character. So i think that is not normal, after copying all required files Upgrade program tells me that there is an error. Also i created OSS message today, support didn't answer me.

> know i deleted all copied files - because that is not normal!

Absolutely not. It seems something omits the "l" character and that's why the libraries are not found. Never seen that before, no idea what's causing this.

Markus

Former Member
0 Kudos

Hi Markus,

i did not start upgrade in the IA64 directory. At the moment, i copy this DVD to other server with IA64, anyway if it will works there i need that working on HP-UX PARISC

markus_doehr2
Active Contributor
0 Kudos

> i did not start upgrade in the IA64 directory.

Ok.

> At the moment, i copy this DVD to other server with IA64, anyway if it will works there i need that working on HP-UX PARISC

Is that library (libnsl*) present on your system?

Markus

Former Member
0 Kudos

Hi Markus,

the material number 51036889_1.exe and 51036889_2.rar, this DVD supported for all OS

and the disk is NOT INSTALLATION, it is BS 7 SR1 Upgrade Master DVD

markus_doehr2
Active Contributor
0 Kudos

> the material number 51036889_1.exe and 51036889_2.rar, this DVD supported for all OS

Ok!

> and the disk is NOT INSTALLATION, it is BS 7 SR1 Upgrade Master DVD

Ok - but did you (by accident) start the upgrade in the IA64 subdirectory?

Markus

markus_doehr2
Active Contributor
0 Kudos

> * Running MIDBOOT to unpack and startup...

> /usr/lib/pa20_64/dld.sl: Unable to find library 'ibnsl.1'.

> OS: HP-UX PARISC

> Version: 11.11

> Database: Oracle 10.2.0.4

Are you sure you used the correct installation master DVD? to me it seems you used the one for HP-UX IA64 (Itanium) and not the one for PA-RISC.

Markus

Former Member
0 Kudos

hi Sunny,

i copied DVD to the server, also i thought that the disk is corrupted - so i downloaded DVD UPGRADE MASTER again, and uploaded that DVD into the server again, nothing changed

sunny_pahuja2
Active Contributor
0 Kudos

Hi,

Is your DVD is mounted on the system ? If yes, then copy the DVD on local system and then try. Also, make sure that DVD is not corrupted.

Thanks

Sunny